#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <stdbool.h>

int main(void)
{
    int n;
    (void)scanf("%d", &n);
    int arr[(size_t)1e5];

    if (n == 1 || n == 2) {
        printf("reject\n");
        return 1;
    }

    (void)scanf("%d", &arr[0]);

    bool check_asc = true;
    bool check_desc = true;

    for (int i = 1; i < n; i++)
    {
        int a;
        (void)scanf("%d", &a);
        arr[i] = a;

        if (check_asc)
        {
            if (a > arr[i - 1])
            {
                arr[i] = arr[i - 1];
                arr[i - 1] = a;
                check_asc = false;
            }
        }
        else if (check_desc)
        {
            if (a < arr[i - 1])
            {
                arr[i] = arr[i - 1];
                arr[i - 1] = a;
                check_desc = false;
            }
        }

        if (arr[i] < arr[i - 1]) {
            check_asc = false;
        }
        if (arr[i] > arr[i - 1]) {
            check_desc = false;
        }
    }


    if (check_asc || check_desc)
    {
        printf("reject\n");
        return 1;
    }

    for (int i = 0; i < n; i++)
    {
        printf("%d\n", arr[i]);
    }

    return 0;
}